%global momorel 1
%global qtver 3.3.7
%global kdever 3.5.6
%global kdelibsrel 6m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 4b259961a8a9aef9e56826f4725fb33d

Summary: A KDE tabulature editor
Name: kguitar
Version: 0.5
Release: %{momorel}m%{?dist}
License: GPL
URL: http://kguitar.sourceforge.net/
Group: Applications/Multimedia
%NoSource 0 http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2 %{md5sum_src0}
Source1: %{name}.desktop
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
BuildPreReq: qt-devel >= %{qtver}, arts-devel >= %{artsver}-%{artsrel}, kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: tse3-devel
BuildPreReq: desktop-file-utils

%description
KGuitar is basically a guitar tabulature editor for K Desktop
Environment. It's much more than just a tab editor. It's features are:

* free GPLed K Desktop Environment GUI
* Powerful and convenient tabulature editing, including many effects
  and classical note score editing for classic instrument players;
* Full and very customizable MIDI to tabulature import and export;
* Support of extra data formats, such as ASCII tabulatures or popular
  programs' format, such as Guitar Pro's or TablEdit;
* Chord fingering construction tools - chord finder & chord analyzer;
* Highly customizable to suit a lot of possible instruments (not only
  6-stringed guitars, and even not only guitars), including drum tracks,
  lyrics and other MIDI events.

Well, right now KGuitar is in very alpha state and doesn't support
everything stated. However, it already features a nice tabulature
editor, though not ultimately powerful, loading/saving its own format (kg
files) and all the chord construction tools.

%prep
%setup -q

cp -f %{SOURCE1} kguitar_shell/

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/kguitar.png %{buildroot}%{_datadir}/pixmaps/kguitar.png

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --add-category AudioVideo \
  --add-category Audio \
  --add-category Midi \
  --add-category Sequencer \
  --add-category KDE \
  --add-category Qt \
  %{buildroot}%{_datadir}/applnk/Multimedia/kguitar.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING* ChangeLog DEVELOPERS INSTALL README TRANSLATORS
%{_bindir}/kguitar
%{_libdir}/kde3/libkguitarpart.la
%{_libdir}/kde3/libkguitarpart.so
%{_datadir}/applications/kde/kguitar.desktop
%{_datadir}/apps/kguitar
%{_datadir}/doc/HTML/*/kguitar
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/locale/*/LC_MESSAGES/kguitar.mo
%{_datadir}/mimelnk/application/x-kguitar.desktop
%{_datadir}/pixmaps/kguitar.png
%{_datadir}/services/kguitar_part.desktop

%changelog
* Tue Mar  6 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5-1m)
- initial package for guitar freaks using Momonga Linux
- Summary and %%description are imported from cooker
